<div class="wrap">
	<h2>Syndicate Out</h2>
	<form method="post" action="options.php">
		<?php
			$syndicateOutOptions = get_option( 'so_options' );
			settings_fields( 'syndicate-out-options' );
		?>
		<h3>Syndication Options</h3>
		<table class="form-table">
			<tr valign="top">
				<th scope="row">Category to syndicate</th>
				<td>
					<select name="so_options[category]">
<?php
	foreach ( get_categories( array ( 'hide_empty' => 0 ) ) AS $blogCategory ) {
		echo '<option value="'.$blogCategory->cat_ID.'"'.( ( $syndicateOutOptions['category'] == $blogCategory->cat_ID ) ? ' selected="selected"' : '' ).'>'.$blogCategory->cat_name.'</option>';
	}
?>
					</select>
					( <a href="categories.php">add category</a> )
				</td>
			</tr>
			<tr valign="top">
				<th scope="row">Syndicate categories *</th>
				<td>
					<input type="radio" name="so_options[syndicate_category]" value="none" <?php echo ( 'none' == $syndicateOutOptions['syndicate_category'] ) ? 'checked="checked"' : '' ?>/> None
					<input type="radio" name="so_options[syndicate_category]" value="syndication" <?php echo ( 'syndication' == $syndicateOutOptions['syndicate_category'] ) ? 'checked="checked"' : '' ?>/> Syndication category only
					<input type="radio" name="so_options[syndicate_category]" value="all" <?php echo ( 'all' == $syndicateOutOptions['syndicate_category'] ) ? 'checked="checked"' : '' ?>/> All
					<br />
		<span>
			* There is currently a bug in the WordPress implementation of the metaWeblog.newPost XML-RPC call which may cause
			problems when transmitting category data.  See bug <a href="http://core.trac.wordpress.org/ticket/11430">#11430</a> for more information.
			If unsure select 'None'.
		</span>
				</td>
			</tr>
		</table>
		
		<h3>Remote Servers</h3>
		<p>Add one server per line.  To remove a server delete the data in all relevant boxes. To add more servers fill all the boxes and hit 'Save changes / add blank row'.</p>
		<table class="form-table">
			<tr>
				<th><b>Address</b></th>
				<th><b>Username</b></th>
				<th><b>Password</b></th>
			</tr>
<?php
	foreach ($syndicateOutOptions['servers'] AS $serverKey => $soServer) {
?>
			<tr>
				<td><input type="text" name="so_options[servers][<?php echo htmlentities2( $serverKey ); ?>][server]" value="<?php echo htmlentities2( $soServer['server'] ); ?>" /></td>
				<td><input type="text" name="so_options[servers][<?php echo htmlentities2( $serverKey ); ?>][username]" value="<?php echo htmlentities2( $soServer['username'] ); ?>" /></td>
				<td><input type="password" name="so_options[servers][<?php echo htmlentities2( $serverKey ); ?>][password]" value="<?php echo htmlentities2( $soServer['password'] ); ?>" /></td>
			</tr>
<?
	}
?>
			<tr>
				<td><input type="text" name="so_options[servers][<?php echo htmlentities2( ($serverKey + 1) ); ?>][server]" value="" /></td>
				<td><input type="text" name="so_options[servers][<?php echo htmlentities2( ($serverKey + 1) ); ?>][username]" value="" /></td>
				<td><input type="password" name="so_options[servers][<?php echo htmlentities2( ($serverKey + 1) ); ?>][password]" value="" /></td>
				<td></td>
			</tr>
		</table>
		<p class="submit">
			<input type="submit" name="save" class="button-primary" value="<?php _e( 'Save changes / add blank row' ) ?>" />
		</p>
	</form>
</div>